package com.duiba.tuia.youtui.web.embed;

/**
 * zhou_wb 20171113+6
 */
public class RecommendEmbed extends  Embed{

    private Long directpage;

    public RecommendEmbed(String dcm, String dsm, String dpm, Long consumerId, Long appId, String host) {
        super(dcm, dsm, dpm, consumerId, appId, host);
    }

    public String btnClickInfo(){
        this.buildClickEmbed();
        return  super.embed().get("st_info_dpm_click");
    }

    public  String btnExposureInfo(){
        this.buildExposureEmbed();
        return  super.embed().get("st_info_dpm_exposure");
    }

    public Long getDirectpage() {
        return directpage;
    }

    public void setDirectpage(Long directpage) {
        this.directpage = directpage;
    }
}
